/*  goopatch.h
 *
 *  Based on GooCanvas Demo
 *  Copyright (C) 2006 - 2010 Damon Chaplin Alexis Vasic
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __GOO_PATCH_H
#define __GOO_PATCH_H


#include <gtk/gtk.h>
#include "goocanvasitemsimple.h"


G_BEGIN_DECLS

#define GOO_TYPE_PATCH			(goo_patch_get_type ())
#define GOO_PATCH(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GOO_PATCH, GooPatch))
#define GOO_PATCH_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), GOO_PATCH, GooPatchClass))
#define GOO_IS_PATCH(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GOO_PATCH))
#define GOO_IS_PATCH_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GOO_PATCH))
#define GOO_PATCH_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GOO_PATCH, GooPatchClass))


typedef struct _GooPatchClass GooPatchClass;
typedef struct _GooPatch GooPatch;

struct _GooPatchClass {
   GooCanvasItemSimpleClass 	parent_class;
};

struct _GooPatch
{
    GooCanvasItemSimple	parent_object;

    gint		nIN;
    gint		nOUT;
    gchar		*ID;
    gchar		*PatchName;
    gdouble 		x, y, width, height;
    GooCanvasItem	*ItemGroup;
};

GType			goo_patch_get_type	(void) G_GNUC_CONST;
GooPatch		*goo_patch_new		(GooCanvasItem	*parent,
						 gint		nIN,
						 gint		nOUT,
						 gchar		*ID,
						 gchar		*PatchName,
						 gdouble	x,
						 gdouble	y
						);
gchar			*goo_patch_get_name	(GooPatch	*Patch);
void			goo_patch_set_name	(GooPatch	*Patch);

G_END_DECLS

#endif /* __GOO_PATCH_H */